From 4a024613f1d127d9afc48c6e29aff089c52681ff Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 26 2021 21:14:24 +0000
Subject: [PATCH 2202/2232] Fix wording of unsupported vector element type error


Vectors have elements, not targets. (Pointers, like unique_ptr and
shared_ptr, have targets -- matching the terminology of Target in the
std::ops::Deref trait.)

---

diff --git a/syntax/check.rs b/syntax/check.rs
index 1e52c2e..807847c 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -199,7 +199,7 @@ fn check_type_cxx_vector(cx: &mut Check, ptr: &Ty1) {
         }
     }
 
-    cx.error(ptr, "unsupported vector target type");
+    cx.error(ptr, "unsupported vector element type");
 }
 
 fn check_type_ref(cx: &mut Check, ty: &Ref) {
diff --git a/tests/ui/ptr_unsupported.stderr b/tests/ui/ptr_unsupported.stderr
index 41cea63..a3e9343 100644
--- a/tests/ui/ptr_unsupported.stderr
+++ b/tests/ui/ptr_unsupported.stderr
@@ -10,7 +10,7 @@ error: unsupported unique_ptr target type
 7 |         fn get_uniqueptr_to_ptr() -> UniquePtr<*mut C>;
   |                                      ^^^^^^^^^^^^^^^^^
 
-error: unsupported vector target type
+error: unsupported vector element type
  --> $DIR/ptr_unsupported.rs:8:45
   |
 8 |         fn get_vector_of_ptr() -> UniquePtr<CxxVector<*mut C>>;

